/* test modules lib.
 */

#include <stdio.h>
#include <mmm/modules.h>

mod_syms_t syms[]={
	SF(printf),
	SF(modules_print),
	SE
		  };

int main( int argc, char *argv[] )
{ int a,r;
  modules_t *mod,*m;
  	if( (mod=modules_start(syms))==NULL )
	{	printf("Fatal Error\n");
		return(-1);
	}
  	a=1;
  	while( a<argc )
	{	r=modules_load_module(mod,argv[a],NULL,MS_AUTOINIT|MS_AUTOCLEAN);
		if( r< 0 )
		{	printf("load_module ERROR: %d\n",r);
			if( r==E_UNDEF )
			{	m=modules_find_module(mod,argv[a]);
				if( m!=NULL )
					modules_print_undef(0,m);
			}
		}
		a++;
	}
	modules_stop(mod);
	return(0);
}

