/* all to all */

#include <stdio.h>
#include <mmm/net_lib.h>
#include <mmm/io_lib.h>

/* io_t prototyp for io-tasks reading and writing to socket */
io_t io_proto=	{	NULL,NULL,		/* NULL,NULL (prev,next) */
			-1,-1,-1,		/* rd,wr,ex */
			1,			/* prior */
			0,0,			/* msec, nmsec */
			0,0,			/* user1, user2 */
			iof_in_out,iouf_all_to_all,	/* func, ufn */
			NULL,NULL,		/* ptr, ptr2 */
			NULL,NULL		/*  (inbuf, outbuf) */
		};

/* io_t prototyp for accepting io-task	*/
io_t acpt_proto={	NULL,NULL,		/* NULL,NULL (prev,next) */
			-1,-1,-1,		/* rd,wr,ex */
			10,			/* prior */
			0,0,			/* msec, nmsec */
			0,0,			/* user1, user2 */
			iof_accept,NULL,	/* func, ufn */
			&io_proto,NULL,		/* ptr, ptr2 */
			NULL,NULL		/*  (inbuf, outbuf) */
		};

int main( void )
{ io_t *io;
  int r;
	if( (acpt_proto.rd=net_bind(30000))<0 )	return(-1);
	if( (io=io_init(NULL))==NULL )	return(-1);
	io_add(io,&acpt_proto);
	r=io_do(io);
	printf("EXIT: %d\n",r);
	io_final(io);
	return(0);
}

