/*  iouf_charfunc
 * (c) by Marek Zelem
 */

#include <unistd.h>
#include <mmm/io_lib.h>
#include <mmm/dynamic.h>

/* iof_charfunc
 * pre RD: cita z rd a zapisuje do inbuf, za kazdym znakom prelieza pole
 *         charfunc a spusta prislusnu funkciu.
 * inak ako pre iof_in_out
 * io->ptr is charfunc_t *
 */
int iof_charfunc( io_t *io, int what, void *arg )
{ unsigned char c;
  charfunc_t	*cf;
  int l,r,i;
	if( what == IO_RD )
	{	if( (l=read(io->rd,&c,1))>0 )
		{	if( dfifo_write(io->inbuf,&c,l)!=l )
			if( io->inbuf == NULL || io->ptr == NULL )
				return(0);
			cf=io->ptr;	i=0;
			r=0;
			while( cf[i].func!=NULL )
			{	if( cf[i].c==c || cf[i].c==CHARFUNC_EVER
					|| (cf[i].c==CHARFUNC_DEFAULT && !r)
					|| (cf[i].c==CHARFUNC_AFTER && r) )
				{	if( (r=cf[i].func(io,c))<0 )
						return(-1);
				}
			}
		}
		if( l==0 )
		{	io_chrd(io,-1);
			if( io->outbuf==NULL )	return(-1);
		}
	}
	else	return(iof_in_out(io,what,arg));
	return(0);
}

